#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE Versions 3.13.7
# and higher are distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************
TOP = ..
include $(TOP)/configure/CONFIG

GPIB = $(TOP)/gpib
#USR_CFLAGS += -DDEBUG

LIBRARY_IOC += gpib
gpib_LIBS += $(EPICS_BASE_IOC_LIBS)

SRC_DIRS += $(GPIB)/drvCommon
INC += drvGpib.h
INC += drvGpibInterface.h
INC += drvHwGpibInterface.h
gpib_SRCS += drvGpib.c
gpib_SRCS += gpibInteract.c
gpib_SRCS  += gpibRegister.cpp

SRC_DIRS += $(GPIB)/devCommon
INC += devGpib.h
INC += devCommonGpib.h
gpib_SRCS += devCommonGpib.c
DBD += gpib.dbd

SRC_DIRS += $(GPIB)/drvVxi11
gpib_SRCS += drvVxi11.c
gpib_SRCS += vxi11core_xdr.c
gpib_SRCS += vxi11intr_xdr.c
gpib_SRCS += E5810Reboot.c
gpib_SRCS += E2050Reboot.c
DBD += drvVxi11.dbd

SRC_DIRS += $(GPIB)/drvNi1014
gpib_SRCS_vxWorks += drvNi1014.c
DBD += drvNi1014.dbd

SRC_DIRS += $(GPIB)/drvTermiosTty
gpib_SRCS += drvTermiosTtyGpib.c
gpib_SRCS_DEFAULT += iocshSttyCommand.c
gpib_SRCS_vxWorks += -nil-
DBD += drvTermiosTtyGpib.dbd

include $(TOP)/configure/RULES
